Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.aop.config
Class AspectEntry

    java.lang.Object
      org.springframework.aop.config.AspectEntry

All Implemented Interfaces:
  ParseState.Entry

    public class AspectEntry

extends Object
implements ParseState.Entry

`ParseState` entry representing an aspect.

Since:
  2.0
Author:
  Mark Fisher, Juergen Hoeller

Constructor Summary
`AspectEntry(String id, String ref)` Create a new AspectEntry.

Method Summary
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AspectEntry

    public AspectEntry(String id,
                       String ref)

  Create a new AspectEntry.

  Parameters:
    `id` - the id of the aspect element
    `ref` - the bean name referenced by this aspect element

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD